#ifndef __TRIBOARD_SETUP_H__
#define __TRIBOARD_SETUP_H__

/*====================================================================
* Project:  Board Support Package (BSP)
* Developed using:
* Function: TriBoard-TC1796 platform specific setup values
*
* Copyright HighTec EDV-Systeme GmbH 1982-2007
*====================================================================*/

#include "tc1796b/scu/addr.h"
#include "tc1796b/ebu_lmb4/addr.h"
#include "tc1796b/pmi/addr.h"

/* initialization value for PLLCLC : set clock to 150 MHz */
#define VAL_PLLCLC			0x001D0381


/* initialization values for External Bus */
#define VAL_EBU_CON			0x0000FF68
#define VAL_EBU_BFCON		0x001001D0
#define VAL_EBU_ADDRSEL0	0xA4000853
#define VAL_EBU_BUSCON0		0x00920000
#define VAL_EBU_BUSAP0		0xC7B30000
#define VAL_EBU_ADDRSEL1	0xA1000873
#define VAL_EBU_BUSCON1		0x00920000
#define VAL_EBU_BUSAP1		0x40D80010
#define VAL_EBU_ADDRSEL2	0x00000000
#define VAL_EBU_BUSCON2		0x8092807F
#define VAL_EBU_BUSAP2		0xFFFFFFFF

#define VAL_EBU_ADDRSEL3	0x00000000
#define VAL_EBU_BUSCON3		0x8092807F
#define VAL_EBU_BUSAP3		0xFFFFFFFF

#define VAL_PMI_CON0		0x00000002


#endif /* __TRIBOARD_SETUP_H__ */
