/*====================================================================
* Project:
* Developed using:
* Function: board initialization code for TriCore
*
* Copyright HighTec EDV-Systeme GmbH 1982 - 2007
*====================================================================*/

	.text
	.global  __board_init
	.type __board_init,@function
__board_init:
	.code32

#;
#;	initialize target environment (PLLCLC, BUSCONx, ADDSELx)
#;
#;	this is done by board specific setup table (address/value - pairs)
#;

	movh.a	%a15,hi:boardSetupTabSize
	ld.a	%a15,[%a15]lo:boardSetupTabSize	# %a15 = table size
	jz.a	%a15,no_setup
	add.a	%a15,-1				# correction for loop
	movh.a	%a14,hi:boardSetupTab
	lea	%a14,[%a14]lo:boardSetupTab	# %a14 points to setup table

setup_loop:
	ld.a	%a2,[%a14+]			# %a2 = boardSetupTab.addr
	ld.w	%d2,[%a14+]			# %d2 = boardSetupTab.val
	st.w	[%a2],%d2
	loop	%a15,setup_loop

 	isync
 	nop
 	nop

#;	force PC to remapped ROM address
	movh.a	%a14,hi:__remapped
	lea	%a14,[%a14]lo:__remapped
	nop
	ji	%a14

__remapped:

#;	remap RA to new address range
	mov.d	%d15,%a11
	mov.d	%d14,%a14
	movh	%d2,hi:0xFFF00000
	and	%d14,%d14,%d2			# take highest bits from new address
	andn	%d15,%d15,%d2			# and lower bits from old address
	or	%d15,%d15,%d14
	mov.a	%a11,%d15

	isync

no_setup:

	ji	%a11
