/*====================================================================
* Project:  Board Support Package (BSP)
* Developed using:
* Function: board initialization table (TriBoard-TC1796)
*
* Copyright HighTec EDV-Systeme GmbH 1982-2007
*====================================================================*/

#ifdef TRIBOARD_TC1796
#include "triboard_setup.h"
#else
#error ERROR: NO TARGET DEFINED!
#endif /* TRIBOARD_TC1796 */


typedef struct
{
	unsigned long addr;
	unsigned long val;
} InitTab_t;

const InitTab_t boardSetupTab[] =
{
	{.addr=PLL_CLC_ADDR,        .val=VAL_PLLCLC},
	{.addr=EBU_ADDRSEL0_ADDR,	.val=VAL_EBU_ADDRSEL0},
	{.addr=EBU_BUSCON0_ADDR,	.val=VAL_EBU_BUSCON0},
	{.addr=EBU_BUSAP0_ADDR, 	.val=VAL_EBU_BUSAP0},
	{.addr=EBU_ADDRSEL1_ADDR,	.val=VAL_EBU_ADDRSEL1},
	{.addr=EBU_BUSCON1_ADDR,	.val=VAL_EBU_BUSCON1},
	{.addr=EBU_BUSAP1_ADDR, 	.val=VAL_EBU_BUSAP1},
	{.addr=EBU_ADDRSEL2_ADDR,	.val=VAL_EBU_ADDRSEL2},
	{.addr=EBU_BUSCON2_ADDR,	.val=VAL_EBU_BUSCON2},
	{.addr=EBU_BUSAP2_ADDR, 	.val=VAL_EBU_BUSAP2},
	/*
		This must be done after CSx programming to avoid disabling EBU_CON.CS0FAM
		(CS0 Fills Address Map)
	 */
	{.addr=EBU_CON_ADDR,		.val=VAL_EBU_CON},
	{.addr=EBU_BFCON_ADDR,	    .val=VAL_EBU_BFCON},
	{.addr=PMI_CON0_ADDR,		.val=VAL_PMI_CON0}
};

const unsigned long boardSetupTabSize = sizeof(boardSetupTab) / sizeof(InitTab_t);
